Where Food Comes From Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/where-food-comes-from-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/where-food-comes-from-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1740009600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.globenewswire.com/news-release/2025/02/20/3029647/0/en/Where-Food-Comes-From-Inc-Reports-2024-Fourth-Quarter-and-Full-Year-Financial-Results.html",
    "holding_balance": 7.007874015748,
    "holding_net_change": 7.01,
    "transaction_value_usd": 178000.0,
    "average_entry_value_usd": 25400.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/where-food-comes-from-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782950400000,
    7.007874015748
  ],
  [
    1783036800000,
    7.007874015748
  ],
  [
    1783123200000,
    7.007874015748
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/where-food-comes-from-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782950400000,
    430898.9661417304
  ],
  [
    1783036800000,
    438174.2606299193
  ],
  [
    1783123200000,
    442101.1228346437
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/where-food-comes-from-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 10.0,
    "date": "2026-06-30",
    "high": 13.01,
    "open": 10.92,
    "close": 13.01,
    "volume": 1700
  },
  {
    "low": 12.75,
    "date": "2026-07-01",
    "high": 20.0,
    "open": 13.43,
    "close": 14.72,
    "volume": 160000
  },
  {
    "low": 14.73,
    "date": "2026-07-02",
    "high": 17.2,
    "open": 15.19,
    "close": 15.63,
    "volume": 16200
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/where-food-comes-from-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 2.059,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/where-food-comes-from-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 31.12,
  "six_month_return": 35.32,
  "three_month_return": 17.43
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/where-food-comes-from-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.6,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "up"
}